cURL
curl "https://api.phrase.com/v2/projects/:project_id/jobs/:job_id/locales/:job_locale_id/annotations" \
-u USERNAME_OR_ACCESS_TOKEN \
-X GETphrase job_locale_annotations list \
--project_id <project_id> \
--job_id <job_id> \
--job_locale_id <job_locale_id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/jobs/{job_id}/locales/{job_locale_id}/annotations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/jobs/{job_id}/locales/{job_locale_id}/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "priority",
"value": "high",
"created_at": "2023-10-01T12:00:00Z",
"updated_at": "2023-10-01T12:00:00Z"
}
]Job Annotations
List job locale annotations
Retrieve a list of annotations for a job locale.
GET
/
projects
/
{project_id}
/
jobs
/
{job_id}
/
locales
/
{job_locale_id}
/
annotations
cURL
curl "https://api.phrase.com/v2/projects/:project_id/jobs/:job_id/locales/:job_locale_id/annotations" \
-u USERNAME_OR_ACCESS_TOKEN \
-X GETphrase job_locale_annotations list \
--project_id <project_id> \
--job_id <job_id> \
--job_locale_id <job_locale_id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/jobs/{job_id}/locales/{job_locale_id}/annotations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/jobs/{job_id}/locales/{job_locale_id}/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "priority",
"value": "high",
"created_at": "2023-10-01T12:00:00Z",
"updated_at": "2023-10-01T12:00:00Z"
}
]Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Project ID
Job ID
Job Locale ID
Query Parameters
Branch to use
Was this page helpful?
⌘I